Subject: Re: [PATCH 00/23] arch: allow pte_offset_map[_lock]() to fail

From: Peter Zijlstra <[email-masked]>
Date: Tue, 16 May 2023 12:41:52 +0200

On Thu, May 11, 2023 at 03:02:55PM +0100, Matthew Wilcox wrote:

> We also talked about moving x86 to always RCU-free page tables in
> order to make accessing /proc/$pid/smaps lockless.  I believe Michel
> is going to take a swing at this project.

Shouldn't be too controversial I think -- effectively everybody already
has it enabled because everybody builds with KVM enabled.